--loading other files...
require "tools"
require "items"
require "player"


function love.load()
	
	gamestate = "menu"
	
	button = {}
	button.confirm = love.graphics.newImage("Confirm.png")
	button.newWorld = love.graphics.newImage("newWorld.png")
	button.loadWorld = love.graphics.newImage("newWorld.png")
	button.credits = love.graphics.newImage("newWorld.png")
	button.quit = love.graphics.newImage("newWorld.png")
	
	background = {}
	background.one = love.graphics.newImage("Background.png")
	
	player.load()
	
	mousepressed = false
	
	love.keyboard.setKeyRepeat(true)
	
end

function love.update()
	
	mouse = {}
	mouse.x = love.mouse.getX()
	mouse.y = love.mouse.getY()
	
	player.update()
	
end

function love.draw()
	
	player.draw()
	
	if gamestate == "menu"
	and player.selecConfirmed == true then
		
		love.graphics.setColor(255,255,255)
		
		love.graphics.draw(background.one)
		
		love.graphics.setColor(155,155,155)
		love.graphics.rectangle("fill",love.graphics.getWidth() - 180,love.graphics.getHeight() / 2 - 20,120,150)
		
		love.graphics.setColor(0,0,0)
		love.graphics.rectangle("line",love.graphics.getWidth() - 180,love.graphics.getHeight() / 2 - 20,120,150)
		
		love.graphics.setColor(255,255,255)
		
		love.graphics.draw(button.newWorld,love.graphics.getWidth() - 176, love.graphics.getHeight() / 2 - 16)
		love.graphics.draw(button.loadWorld,love.graphics.getWidth() - 176 + 64, love.graphics.getHeight() / 2 - 16)
		love.graphics.draw(button.credits,love.graphics.getWidth() - 176, love.graphics.getHeight() / 2 - 16 + 48)
		love.graphics.draw(button.quit,love.graphics.getWidth() - 176 +  64, love.graphics.getHeight() / 2 - 16 + 48)
		
	end
	
	if gamestate == "credits" then
		
		love.graphics.setColor(255,255,255)
		love.graphics.draw(background.one)
		
		love.graphics.setColor(255,255,255)
		love.graphics.print("Music by Eric Matyas",love.graphics.getWidth() - 350, 20)
		love.graphics.print("Programming and Sprites made by Sean Graham",love.graphics.getWidth() - 350, 35)
		love.graphics.print("Programming done in the löve2d framework.",love.graphics.getWidth() - 350, 50)
		love.graphics.print("Sprites made with GIMP GNU Manipulation Program",love.graphics.getWidth() - 350, 65)
		
	end
	
end

function love.keypressed(key)
	
	player.keypressed(key)
	
end

function love.mousereleased(x,y,button,isTouch)
	
	mousepressed = false
	
end

function love.textinput(t)
	
	player.textinput(t)
	
end